#!/bin/bash -x

# ideally this should be a task dependency
# or even a task parameter to account for the different
# package names (docker-io or docker)
yum -y install docker-io

cat <<EOF > Dockerfile

FROM fedora
MAINTAINER Amit Saha <asaha@redhat.com>

RUN yum -y update; yum clean all
RUN yum -y install httpd
RUN echo "I am Apache in Docker." >> /var/www/html/index.html
EXPOSE 80
CMD ["/usr/sbin/apachectl", "-D", "FOREGROUND"]

EOF

docker build -t apache .
docker run -d -p 80:80 apache

# check if we are running successfully
docker ps
#XX: do stuff
